Security Enhanced Linux Reference Policy

# Layer: services

## Module: ifplugd

Interfaces

### Description:

Bring up/down ethernet interfaces based on cable detection.

### Interfaces:

ifplugd_admin( domain , role )

##### Summary

All of the rules required to administrate an ifplugd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ifplugd_domtrans( domain )

##### Summary

Execute a domain transition to run ifplugd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ifplugd_manage_config( domain )

##### Summary

Create, read, write, and delete ifplugd configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ifplugd_read_config( domain )

##### Summary

Read ifplugd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ifplugd_read_pid_files( domain )

##### Summary

Read ifplugd pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ifplugd_signal( domain )

##### Summary

Send generic signals to ifplugd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return